#if !defined(AFX_QUERYCHILDFRAME_H__2E064BC7_CDF0_4FE2_BC09_9F139E228E65__INCLUDED_)
#define AFX_QUERYCHILDFRAME_H__2E064BC7_CDF0_4FE2_BC09_9F139E228E65__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CQueryChildFrame.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CClassifierChildFrame frame
#ifndef CLASS_DECL_APL_STEP_MGR
#ifdef APL_STEP_MGR_IMPL
#define CLASS_DECL_APL_STEP_MGR  _declspec(dllexport)
#else
#define CLASS_DECL_APL_STEP_MGR  _declspec(dllimport)
#endif
#endif

class CQuerySplitterWnd : public CSplitterWnd  
{
public:
	CQuerySplitterWnd();
	virtual ~CQuerySplitterWnd();

	DECLARE_DYNCREATE(CQuerySplitterWnd)

	// Implementation
	BOOL CreateEx(CWnd* pParentWnd,CCreateContext *pContext);
	bool Init(CaplAPI* api);

	virtual BOOL DestroyWindow();

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMailSplitterWnd)
protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CMailSplitterWnd)
	// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
};

// CQueryChildFrame frame

class CQueryChildFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CQueryChildFrame)
protected:
	CQueryChildFrame();           // protected constructor used by dynamic creation

	// Attributes
	CQuerySplitterWnd	m_wndVSplitter;
public:

	// Operations
public:
	bool Init(CaplAPI* api);

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClassifierChildFrame)
protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	virtual void OnUpdateFrameTitle(BOOL bAddToTitle);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CQueryChildFrame();

	// Generated message map functions
	//{{AFX_MSG(CClassifierChildFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};




#endif // !defined(AFX_QUERYCHILDFRAME_H__2E064BC7_CDF0_4FE2_BC09_9F139E228E65__INCLUDED_)
